OpenTTD Source: Data Fields - Variables

OpenTTD Source 14.1

### - l -

- l : UnitsLong
- label : CargoSpec , RailTypeInfo , RoadTypeInfo , WaterRegionPatchDesc
- label_map : CargoSpec
- labels : GRFFile , ScriptConfigItem
- lag_test : ServerNetworkGameSocketHandler
- land_generator : GameCreationSettings
- landinfo_data : LandInfoWindow
- landscape : GameCreationSettings , LoggedChangeMode , NetworkServerGameInfo
- langid : GRFText
- langtab_num : LoadedLanguagePack
- langtab_start : LoadedLanguagePack
- language : LanguageStrings
- language_map : GRFFile
- large : FontCacheSettings
- large_turn : AccelerationSlowdownParams
- larger_town : Town
- larger_towns : EconomySettings
- last_accepted : Industry::AcceptedCargo
- last_activity : ClientNetworkCoordinatorSocketHandler
- last_age : GoodsEntry
- last_allocated_memory : ScriptInstance
- last_array_index : SaveLoadParams
- last_attempt : TCPConnecter
- last_build_coordinate : CompanyProperties
- last_clicked : GameSettingsWindow
- last_clicked_widget : BuildDocksToolbarWindow
- last_cmd : ScriptStorage
- last_cmd_ret : ScriptStorage
- last_command_res : ScriptStorage
- last_compression : LinkGraph
- last_cost : ScriptStorage
- last_data : ScriptStorage
- last_direction : MutableSpriteCache
- last_error : ScriptStorage
- last_filtering : BuildObjectWindow , BuildRailStationWindow , BuildRoadStationWindow , NetworkContentListWindow , NewGRFWindow
- last_foundation_child : ViewportDrawer
- last_frame : NetworkGameSocketHandler
- last_frame_server : NetworkGameSocketHandler
- last_joined : NetworkGameWindow , NetworkSettings
- last_loading_station : Vehicle
- last_loading_tick : Vehicle
- last_name : ScanProgressWindow
- last_newgrf_count : GUISettings
- last_num_specs : SlRoadStopTileData , SlStationSpecList
- last_packet : NetworkGameSocketHandler
- last_prod_year : Industry
- last_restricted_update : LinkGraph::BaseEdge
- last_sorting : BuildBridgeWindow , BuildObjectWindow , BuildRailStationWindow , BuildRoadStationWindow , NetworkContentListWindow , NewGRFWindow
- last_speed : GoodsEntry , GroundVehicleCache
- last_sprite_pal : OpenGLBackend
- last_started_action : BuildRoadToolbarWindow
- last_station_visited : Vehicle
- last_token : ServerNetworkGameSocketHandler
- last_token_frame : ServerNetworkGameSocketHandler
- last_unrestricted_update : LinkGraph::BaseEdge
- last_update : LinkGraph::BaseNode
- last_user_action : BuildRailToolbarWindow , ScenarioEditorLandscapeGenerationWindow , TerraformToolbarWindow
- last_value : ResolverObject
- last_vscroll_pos : ScriptDebugWindow
- lastActivity : ClientNetworkContentSocketHandler
- lateness_counter : BaseConsist
- layout : Airport , AirportFTAClass , AirportScopeResolver , Layouter::LineCacheItem , SpotData , Town
- layout_cache : StoryBookWindow
- layouts : IndustrySpec , StationSpec
- lc : GenWorldInfo
- left : Blitter::BlitterParams , Kdtree< T, TxyFunc, CoordT, DistT >::node , ParentSpriteToDraw , Viewport , Window
- left_align : CargoesField
- legend : BuildIndustryWindow , CargoesField , LegendAndColour
- legend_width : PaymentRatesGraphWindow , SmallMapWindow
- length : CompanyManagerFaceBitsInfo , ICURun , RoadStop::Entry , SaveLoad
- level : BaseSettingEntry , ICURun , QueuedDebugItem
- lf : SaveLoadParams
- library : InternalSocialIntegrationPlugin
- life_type : IndustrySpec
- lifelength : EngineInfo
- lighthouse : ExtraPaletteValues
- limit : Packet
- line : LangString , TextfileWindow::Hyperlink , WindowDesc
- line_count : NetworkClientListWindow
- line_height : AboutWindow , AIConfigWindow , BuildObjectWindow , BuildRailStationWindow , BuildRoadStationWindow , GSConfigWindow , IConsoleWindow , NetworkClientListWindow , NewGRFParametersWindow , PaymentRatesGraphWindow , PerformanceLeagueWindow , ScriptLeagueWindow , ScriptListWindow , ScriptSettingsWindow
- line_reverse_mode : DifficultySettings
- linecache : Layouter
- lines : LanguageStrings , NWidgetPartTextLines , TextfileWindow
- link : LeagueTableElement
- link_anchors : TextfileWindow
- LINK_COLOURS : LinkGraphOverlay
- link_graph : GoodsEntry , LinkGraphJob
- link_terraform_toolbar : GUISettings
- linkgraph : GameSettings
- linkgraph_colours : GUISettings
- links : TextfileWindow
- list : BuildIndustryWindow , DropdownWindow
- list_group_names : IniLoadFile
- list_iter : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- list_pos : NetworkContentListWindow , NetworkGameWindow
- list_valid : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- listview_mode : BuildVehicleWindow
- liveries : GUISettings
- livery : Group
- load_unload_ticks : Vehicle
- loaded : RealSpriteGroup
- loading : RealSpriteGroup
- loading_indicators : GUISettings
- local_addr : ClientNetworkStunSocketHandler
- local_id : GRFFilePropsBase< Tcnt >
- local_palette : VideoDriver_SDL_Base
- locale : GameSettings
- locale_aware : StringFilter
- localidx : RoadStopSpecList , StationSpecList
- location : Industry , Object
- location_of_HQ : CompanyProperties
- lock_offset : NetworkGameWindow
- log_data : ScriptStorage
- log_x : Map
- log_y : Map
- logfont : Win32FontCache
- longname : OptionData
- lookup : LRUCache< Tkey, Tdata >
- loop : MusicSongInfo
- loops_per_tick : AyStar
- lost_vehicle_warn : GUISettings
- lowest : ValuesInterval
- lowest_randbit : RandomizedSpriteGroup
- lowest_value : SnowLine
- lzma : LZMALoadFilter , LZMASaveFilter